//---------------------------------------------------------------------------
#ifndef SkemaFrameUnitH
#define SkemaFrameUnitH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include "Grids.hpp"
#include "comm.h"
#include <vcl\ComCtrls.hpp>
//---------------------------------------------------------------------------
class TSkemaFrame : public TForm
{
__published:	// IDE-managed Components
	TStringGrid *SFStringGrid1;
	TComboBox *SFComboBox1;
	TComboBox *SFComboBox2;
	TLabel *Label1;
	TLabel *Label2;
	TStatusBar *StatusBar;
	void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
	void __fastcall FormCreate(TObject *Sender);
	
	void __fastcall SFComboBox1Change(TObject *Sender);

    void __fastcall SFComboBox2DropDown(TObject *Sender);
    void __fastcall SFComboBox2Click(TObject *Sender);
private:	// User declarations
    comm comm;
    bool ListeIndlaest;
public:		// User declarations
	__fastcall TSkemaFrame(TComponent* Owner);
	void NulstilStatusBar();
    void SletSkema();
    bool Print();
};
//---------------------------------------------------------------------------
extern TSkemaFrame *SkemaFrame;
//---------------------------------------------------------------------------
#endif
